Create a single contextualBandit
POST
/
v1
/
contextual-bandits
cURL
curl -X POST 'https://api.growthbook.io/api/v1/contextual-bandits' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/contextual-bandits"
payload = {
"name": "<string>",
"trackingKey": "<string>",
"decisionMetric": "<string>",
"variations": [
{
"key": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"datasource": "<string>",
"contextualBanditQueryId": "<string>",
"contextualAttributes": ["<string>"],
"description": "<string>",
"project": "<string>",
"owner": "<string>",
"tags": ["<string>"],
"hashAttribute": "<string>",
"minUsersPerLeaf": 123,
"maxLeaves": 11,
"scheduleValue": 123,
"burnInValue": 123,
"conversionWindowValue": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
trackingKey: '<string>',
decisionMetric: '<string>',
variations: [{key: '<string>', name: '<string>', description: '<string>'}],
datasource: '<string>',
contextualBanditQueryId: '<string>',
contextualAttributes: ['<string>'],
description: '<string>',
project: '<string>',
owner: '<string>',
tags: ['<string>'],
hashAttribute: '<string>',
minUsersPerLeaf: 123,
maxLeaves: 11,
scheduleValue: 123,
burnInValue: 123,
conversionWindowValue: 123
})
};
fetch('https://api.growthbook.io/api/v1/contextual-bandits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contextualBandit": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": "<string>",
"tags": [
"<string>"
],
"archived": true,
"status": "draft",
"trackingKey": "<string>",
"hashAttribute": "<string>",
"variations": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"datasource": "<string>",
"contextualBanditQueryId": "<string>",
"seed": "<string>",
"currentLeafWeights": [
{
"leafId": 123,
"condition": {},
"weights": [
{
"variationId": "<string>",
"weight": 123
}
]
}
],
"banditVersion": 1,
"contextualAttributes": [
"<string>"
],
"minUsersPerLeaf": 123,
"maxLeaves": 123,
"holdoutPercent": 0.25,
"banditModelVersion": 1,
"description": "<string>",
"project": "<string>",
"ownerEmail": "<string>",
"dateStarted": "2023-11-07T05:31:56Z",
"dateStopped": "2023-11-07T05:31:56Z",
"coverage": 0.5,
"condition": "<string>",
"savedGroups": [
{
"match": "all",
"ids": [
"<string>"
]
}
],
"prerequisites": [
{
"id": "<string>",
"condition": "<string>"
}
],
"variationWeights": [
{
"variationId": "<string>",
"weight": 123
}
],
"decisionMetric": "<string>",
"scheduleValue": 123,
"scheduleUnit": "days",
"burnInValue": 123,
"burnInUnit": "days",
"conversionWindowValue": 123,
"conversionWindowUnit": "hours",
"stage": "explore",
"stageDateStarted": "2023-11-07T05:31:56Z",
"autoSnapshots": true,
"nextSnapshotAttempt": "2023-11-07T05:31:56Z"
}
}Authorizations
bearerAuthbasicAuth
If using Bearer auth, pass the Secret Key as the token:
curl https://api.growthbook.io/api/v1/features -H "Authorization: Bearer secret_abc123DEF456"
Body
application/json
Show child attributes
Show child attributes
The userId or email address of the owner. If an email address is provided, it will be used to look up the userId of the matching organization member. If an ID is provided, it will be validated as existing in the organization.
Required range:
x <= 12Available options:
days, hours Available options:
days, hours Available options:
hours, days Response
200 - application/json
Resource created
Show child attributes
Show child attributes
Was this page helpful?
⌘I
cURL
curl -X POST 'https://api.growthbook.io/api/v1/contextual-bandits' \
-H 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.growthbook.io/api/v1/contextual-bandits"
payload = {
"name": "<string>",
"trackingKey": "<string>",
"decisionMetric": "<string>",
"variations": [
{
"key": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"datasource": "<string>",
"contextualBanditQueryId": "<string>",
"contextualAttributes": ["<string>"],
"description": "<string>",
"project": "<string>",
"owner": "<string>",
"tags": ["<string>"],
"hashAttribute": "<string>",
"minUsersPerLeaf": 123,
"maxLeaves": 11,
"scheduleValue": 123,
"burnInValue": 123,
"conversionWindowValue": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
trackingKey: '<string>',
decisionMetric: '<string>',
variations: [{key: '<string>', name: '<string>', description: '<string>'}],
datasource: '<string>',
contextualBanditQueryId: '<string>',
contextualAttributes: ['<string>'],
description: '<string>',
project: '<string>',
owner: '<string>',
tags: ['<string>'],
hashAttribute: '<string>',
minUsersPerLeaf: 123,
maxLeaves: 11,
scheduleValue: 123,
burnInValue: 123,
conversionWindowValue: 123
})
};
fetch('https://api.growthbook.io/api/v1/contextual-bandits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contextualBandit": {
"id": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"dateUpdated": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": "<string>",
"tags": [
"<string>"
],
"archived": true,
"status": "draft",
"trackingKey": "<string>",
"hashAttribute": "<string>",
"variations": [
{
"id": "<string>",
"key": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"datasource": "<string>",
"contextualBanditQueryId": "<string>",
"seed": "<string>",
"currentLeafWeights": [
{
"leafId": 123,
"condition": {},
"weights": [
{
"variationId": "<string>",
"weight": 123
}
]
}
],
"banditVersion": 1,
"contextualAttributes": [
"<string>"
],
"minUsersPerLeaf": 123,
"maxLeaves": 123,
"holdoutPercent": 0.25,
"banditModelVersion": 1,
"description": "<string>",
"project": "<string>",
"ownerEmail": "<string>",
"dateStarted": "2023-11-07T05:31:56Z",
"dateStopped": "2023-11-07T05:31:56Z",
"coverage": 0.5,
"condition": "<string>",
"savedGroups": [
{
"match": "all",
"ids": [
"<string>"
]
}
],
"prerequisites": [
{
"id": "<string>",
"condition": "<string>"
}
],
"variationWeights": [
{
"variationId": "<string>",
"weight": 123
}
],
"decisionMetric": "<string>",
"scheduleValue": 123,
"scheduleUnit": "days",
"burnInValue": 123,
"burnInUnit": "days",
"conversionWindowValue": 123,
"conversionWindowUnit": "hours",
"stage": "explore",
"stageDateStarted": "2023-11-07T05:31:56Z",
"autoSnapshots": true,
"nextSnapshotAttempt": "2023-11-07T05:31:56Z"
}
}
